/*
This is required in order to render DataTable inside of a TabbedContent
See discussion: https://github.com/Textualize/textual/discussions/2961
*/

/* ------------------------- widgets ------------------------- */

.neutral_feedback {
    border: round $panel;
    border-title-style: bold;
}

.info_feedback {
    border: round $accent;
    border-title-style: bold;
}

.error_feedback {
    border: round $error-darken-3;
    border-title-style: bold;
}

.warning_feedback {
    border: round $warning;
    border-title-style: bold;
}

.success_feedback {
    border: round $success;
    border-title-style: bold;
}

SecondaryScreen {
    align: center middle;
}

Feedback {
    display: none;
    dock: bottom;
    layer: above;
    margin-top: 1;
    padding: 0 1;
    border: round $boost;
}

DataTable {
    height: 1fr;
    margin: 0 1;
}

Tree {
    padding: 1 1 1 2;
    margin: 0 1;
}

InputPrompt {
    margin: 1 0 0 0;
}

Switch {
    height: auto;
    width: auto;
}

/* ------------------------- ids ------------------------- */

#sidebar {
    dock: left;
    width: 20%;
    height: 100%;
    color: #0f2b41;
    background: dodgerblue;
}


#password_strength_label {
    background: red;
    width: 100%;
    align: left middle;
    text-align: left;
    content-align: left middle;
}

/* ------------------------- classes ------------------------- */

.title {
    width: 100%;
    margin: 0 1 1 0;
    text-style: bold;
    content-align: center middle;
}

.header {
    margin-bottom: 1;
    text-style: bold;
}

.bottom_button {
    width: 90%;
    dock: bottom;
}

.multiline {
    width: 100%;
}

.switch_label {
    margin-top: 1;
    width: 50%;
    content-align: right middle;
}

.labeled_switch {
    content-align: left middle;
}

.labeled_input_container {
    height: auto;
    layout: horizontal;
}

.labeled_input {
    margin-right: 16;
}

.labeled_text_area {
    margin-left: 1;
    margin-right: 1;
}

.centered-top{
    align: center top;
    width: 1fr;
}

.no_content {
    width: 1fr;
    height: 1fr;
    align: center middle;
    content-align: center middle;
    text-style: bold;
    text-opacity: 75%;
}

.screen_container {
    padding: 1 2;
}

#show_hide_btn {
    min-width: 8;
    width: 20%;
    margin: 0;
    text-style: bold;
}